GNU logs - #36784, boring messages


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36784: Cannot generate key pair with GnuPG
Resent-From: Raghav Gururajan <raghavgururajan@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Wed, 24 Jul 2019 14:27:02 +0000
Resent-Message-ID: <handler.36784.B.156397839227294 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 36784
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 36784 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-guix@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.156397839227294
          (code B ref -1); Wed, 24 Jul 2019 14:27:02 +0000
Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 14:26:32 +0000
Received: from localhost ([127.0.0.1]:37827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqIDu-000769-Pp
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 10:26:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:45818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1hqE52-0006S0-HI
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 06:01:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55271)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1hqE51-00013i-Gd
 for bug-guix@HIDDEN; Wed, 24 Jul 2019 06:01:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE, 
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raghavgururajan@HIDDEN>) id 1hqE50-0006hg-GO
 for bug-guix@HIDDEN; Wed, 24 Jul 2019 06:01:03 -0400
Received: from knopi.disroot.org ([178.21.23.139]:46284)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <raghavgururajan@HIDDEN>)
 id 1hqE50-0006gZ-0t
 for bug-guix@HIDDEN; Wed, 24 Jul 2019 06:01:02 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6AC2222076
 for <bug-guix@HIDDEN>; Wed, 24 Jul 2019 12:00:59 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id cjtoqjIsIz3s for <bug-guix@HIDDEN>;
 Wed, 24 Jul 2019 12:00:58 +0200 (CEST)
Date: Wed, 24 Jul 2019 06:00:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1563962457; bh=HVk1xr/PwQkdy2Yvu1UFVapayA34wGe7AzIQg3qhpfY=;
 h=Date:From:To:Subject;
 b=Vt/LhP4QGvmjeK/2gQchbWZo7GDQ3uh3yuLGxoIeISdsVYkCLAXW+yKZUV88kUEl2
 IEmV5DqF+Re4tMxcKB8kgdYti4XPxlzTiUG0QtjjkKB5LJaW+6YUIKiwtBti/p+SBW
 3BBmhACFmXFW5tsAKsZf5L2eqPIFY08SsPQwG8pElPCMcuEFlgsGSqzeNreQ3h1hft
 tuUCn+SubIwr+hM2x9nW2UljsA6LU+QzePrHCrdze1SI8yMmv+NqnjQ/4ztTcGJB5Y
 xuvaj4zesz14P+Mq67xreMzSYArIKD/tMB/vwetQHdmrLDO5g3TyzDC/8vQBk7+efL
 iKFt6zm8oNPlg==
From: Raghav Gururajan <raghavgururajan@HIDDEN>
Message-ID: <20190724060027.32bd2325@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 178.21.23.139
X-Spam-Score: -1.4 (-)
X-Mailman-Approved-At: Wed, 24 Jul 2019 10:26:29 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello Guix!

The current gnupg package in guix has "pinentry" as a missing
dependency.

Because of this, GnuPG throws the following error upon attempting to
generate key pairs:

gpg: agent_genkey failed: No pinentry
gpg: key generation failed: No pinentry

So it appears, unless the above mentioned dependency issue is fixed,
one cannot create gpg key pairs. :(

Regards,
RG.




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Raghav Gururajan <raghavgururajan@HIDDEN>
Subject: bug#36784: Acknowledgement (Cannot generate key pair with GnuPG)
Message-ID: <handler.36784.B.156397839227294.ack <at> debbugs.gnu.org>
References: <20190724060027.32bd2325@HIDDEN>
X-Gnu-PR-Message: ack 36784
X-Gnu-PR-Package: guix
Reply-To: 36784 <at> debbugs.gnu.org
Date: Wed, 24 Jul 2019 14:27:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-guix@HIDDEN

If you wish to submit further information on this problem, please
send it to 36784 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
36784: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D36784
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36784: Cannot generate key pair with GnuPG
Resent-From: Raghav Gururajan <raghavgururajan@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 25 Jul 2019 01:20:01 +0000
Resent-Message-ID: <handler.36784.B36784.156401758221025 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36784
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 36784 <at> debbugs.gnu.org
Received: via spool by 36784-submit <at> debbugs.gnu.org id=B36784.156401758221025
          (code B ref 36784); Thu, 25 Jul 2019 01:20:01 +0000
Received: (at 36784) by debbugs.gnu.org; 25 Jul 2019 01:19:42 +0000
Received: from localhost ([127.0.0.1]:38211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqSQ1-0005T1-TV
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 21:19:42 -0400
Received: from knopi.disroot.org ([178.21.23.139]:52482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1hqS5f-0004yj-Je
 for 36784 <at> debbugs.gnu.org; Wed, 24 Jul 2019 20:58:42 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id AE26223332
 for <36784 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 02:58:37 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Qi3jAzq8RBNS for <36784 <at> debbugs.gnu.org>;
 Thu, 25 Jul 2019 02:58:36 +0200 (CEST)
Message-ID: <58bc24045bcb5f43a4906f4b4edfc22e3071ebd8.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1564016316; bh=qr2Un+Ps+AsCgAoqPXXLaYnGTBITEITXXGKzpQ8v9Uk=;
 h=Subject:From:To:In-Reply-To:References:Date;
 b=fFDjysRFWNGcrIdbvo5L8guFvB0AMZQ3rB3wrOJ4cOy//3ZkUeK08AWc/EpUoPMME
 ZtymKKj/ZSE2Ca5aqQYO28V/4/EM44Bg/GwtscewnctWQt8G+FlyTDyeNFr2norLZN
 grCC4EmGgPqSagEY+1lvfmtu+gK4wm3O9MMS+1zNZLQhSf7qECF5WElSBMl3+oUGyL
 W3/JF8WR5H1XKATRJ4cwD53YMyHGpkFLCguPkhMmnhNXEGiswqqBdXP3q4O997lI92
 5pLnQss4u++oRtX5f+ED0c3VChXQSrDSWgOmYrs8vHTtskJPhBtPi1sztcNm/iAAQd
 bzwHBt6mj9QSQ==
From: Raghav Gururajan <raghavgururajan@HIDDEN>
In-Reply-To: <handler.36784.B.156397839227294.ack <at> debbugs.gnu.org>
References: <20190724060027.32bd2325@HIDDEN>
 <handler.36784.B.156397839227294.ack <at> debbugs.gnu.org>
Content-Type: text/plain; charset="UTF-8"
Date: Wed, 24 Jul 2019 20:58:30 -0400
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Mailman-Approved-At: Wed, 24 Jul 2019 21:19:40 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Guix!

After brief discussion on IRC channel, I found out that adding
"pinentry-program /home/user/.guix-profile/bin/pinentry-program" to
"gpg-agent.conf" in "/home/user/.gnupg", was able to temproarily
resolve the situation. Thanks to Ricardo (rekado).

I still suggest that there should be a default/fallback option for
this. After reviewing guix repository, I found pinentry, emacs-
pinentry, pinentry-tty, pinentry-qt, pinentry-gtk2, pinentry-gnome3,
pinentry-emacs and pinentry-efl, as available pinentry programs.

Out of all, I suggest pinentry to be set as default/fallback option for
gnupg in guix, as it is platform-independent and provides both CUI
(console) and GUI.

Thank you!

Regards,
RG.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 25 Jul 2019 01:19:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 21:19:42 2019
Received: from localhost ([127.0.0.1]:38213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqSQ2-0005T4-Iu
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 21:19:42 -0400
Received: from knopi.disroot.org ([178.21.23.139]:38352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1hqSEX-0005CX-BO
 for control <at> debbugs.gnu.org; Wed, 24 Jul 2019 21:07:49 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id B5346239AC
 for <control <at> debbugs.gnu.org>; Thu, 25 Jul 2019 03:07:48 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id iGnrvnPDYhw9 for <control <at> debbugs.gnu.org>;
 Thu, 25 Jul 2019 03:07:47 +0200 (CEST)
Message-ID: <cedd5b5a756ada41468c60dbb4cd96025c77c1bd.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1564016867; bh=gPPVvgi5v/1fjTr/fB07IAW1xJb7xT/ZsQtj0io7PDg=;
 h=Subject:From:To:Date;
 b=aY/O6F3XpBPixPZIhMtnb3yQoRvcO4uM0mOU5Ahq3AdiXukzKGQgRtK4DyH3/EXi9
 SR4UGyjVMBDQ58T448DdWOI5lod0fzDmaYb9N35sfDDZXJT94Gu4uEuM7DGHguo23J
 LMca4cPWEO+Fo5ShobXlweCKxHH/Y0b/Rp1ooK/2JAJ+L/wEN+I19aBfsnL96OuRf3
 CDYxu8HatjqXodJY3AMntvz8KH9bdcMeYJnb6DUXQPdS7uKuis93OBgVWpYCnmBRoa
 VqN+4LFdOx2JNm6kDx4Fy1MUXDQF/u/wrZAPPbYFUTDBpW1wUz4VH6yfqUc7dpb+0N
 0pG0NgcxFkSFg==
Subject: severity 36784 important
From: Raghav Gururajan <raghavgururajan@HIDDEN>
To: control <at> debbugs.gnu.org
Content-Type: text/plain
Date: Wed, 24 Jul 2019 21:07:42 -0400
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-Mailman-Approved-At: Wed, 24 Jul 2019 21:19:40 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

severity 36784 important




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36784: Cannot generate key pair with GnuPG
Resent-From: Ricardo Wurmus <rekado@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 25 Jul 2019 13:03:03 +0000
Resent-Message-ID: <handler.36784.B36784.156405973213414 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36784
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Raghav Gururajan <raghavgururajan@HIDDEN>
Cc: 36784 <at> debbugs.gnu.org
Received: via spool by 36784-submit <at> debbugs.gnu.org id=B36784.156405973213414
          (code B ref 36784); Thu, 25 Jul 2019 13:03:03 +0000
Received: (at 36784) by debbugs.gnu.org; 25 Jul 2019 13:02:12 +0000
Received: from localhost ([127.0.0.1]:38544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqdNr-0003UI-No
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:02:11 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21213)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hqdNp-0003U9-JF
 for 36784 <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:02:10 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1564059723; cv=none; d=zoho.com; s=zohoarc; 
 b=ZpCqfs57gnGvHAh/wcJiwPW6nKt/jWsAFG/VxDNe8k60ubnA9JQtbMB4Wj3OyfDOSRtbx7ZXS7Blx3s99/lF4MOmEefeuZSvDHZcgZx5pxIGSXkPjcVBOf9YrJXpYdsdpuIJDbl3jO+71ccQ3kTLiq351IBkoJcjezGsQ4w0sbA=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1564059723;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=XOYYBrVz1i/jEfRL9RHZ2a/+MnPNYpE//TuIqswQ+yQ=; 
 b=AQA7iitU64J9Fia7gzBn+KFOvCxcYfaxmoG7x1xwsu49MzUrMYTE/OraJ+2+D3hpvsre6FFPTGHGZGrnFgnn6CjNgdE6yQLMeyFsNzhKt6EtCCucvROgiw8VMhW6kkQgqYuqWmeonjbIAJQGZMcpDILiqRh5RmlnUquy5rRQlkg=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1564059723; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 l=661; bh=XOYYBrVz1i/jEfRL9RHZ2a/+MnPNYpE//TuIqswQ+yQ=;
 b=Dq78x5vlSa/W1D8+ntpK4/cylJSpptOB6mqbN9XY/9S8tLfWUmGcsoBv9xowv8g9
 WMn91qMXR8mMEj+yq1FlNsuk7DNUwqqZoNk5WirqnZ/hgnyWtPST/DWrDLPFwijuRME
 oaKOsD0YbQ2LktSLcVGplE7yTyJ51L401/hKgGt0=
Received: from localhost (141.80.247.250 [141.80.247.250]) by mx.zohomail.com
 with SMTPS id 1564059722871325.29372040838325;
 Thu, 25 Jul 2019 06:02:02 -0700 (PDT)
References: <20190724060027.32bd2325@HIDDEN>
 <handler.36784.B.156397839227294.ack <at> debbugs.gnu.org>
 <58bc24045bcb5f43a4906f4b4edfc22e3071ebd8.camel@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
In-reply-to: <58bc24045bcb5f43a4906f4b4edfc22e3071ebd8.camel@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 25 Jul 2019 15:01:59 +0200
Message-ID: <8736iu9sjc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Raghav Gururajan <raghavgururajan@HIDDEN> writes:

> I still suggest that there should be a default/fallback option for
> this. After reviewing guix repository, I found pinentry, emacs-
> pinentry, pinentry-tty, pinentry-qt, pinentry-gtk2, pinentry-gnome3,
> pinentry-emacs and pinentry-efl, as available pinentry programs.
>
> Out of all, I suggest pinentry to be set as default/fallback option for
> gnupg in guix, as it is platform-independent and provides both CUI
> (console) and GUI.

I think it would be good to have a sensible default.  Is there a good
reason not to include pinentry-tty or somemthing similarly small?

-- 
Ricardo





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36784: Cannot generate key pair with GnuPG
Resent-From: Raghav Gururajan <raghavgururajan@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 25 Jul 2019 13:09:03 +0000
Resent-Message-ID: <handler.36784.B36784.156406010814007 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36784
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Ricardo Wurmus <rekado@HIDDEN>
Cc: 36784 <at> debbugs.gnu.org
Received: via spool by 36784-submit <at> debbugs.gnu.org id=B36784.156406010814007
          (code B ref 36784); Thu, 25 Jul 2019 13:09:03 +0000
Received: (at 36784) by debbugs.gnu.org; 25 Jul 2019 13:08:28 +0000
Received: from localhost ([127.0.0.1]:38557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqdTv-0003dr-RS
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:08:28 -0400
Received: from knopi.disroot.org ([178.21.23.139]:55508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1hqdTt-0003de-5z
 for 36784 <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:08:25 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id D182623B11;
 Thu, 25 Jul 2019 15:08:23 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id CrivIL1XZomx; Thu, 25 Jul 2019 15:08:20 +0200 (CEST)
Message-ID: <d7b5c373105105ab03da3df8eba2bfa160ec6698.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1564060100; bh=2OXu2QfxWA3iquEZOgAwnjge84mrZOjMrH/fGmiYEZE=;
 h=Subject:From:To:Cc:In-Reply-To:References:Date;
 b=e9m8/Pl7XqUiMBvFVnhIPUsdQPR5/4OwOXbSTuUUzs9Kt6GjI09VSC+6DV5kQu+Tj
 IGcCJGmnmKDI8FY3PAqNftSKYogKO1YuLHUWc9mX0a3W+G+ULTEMGU76CkxtHYKyuy
 TLMoqjahkLyz/5iaEjOqMGK9Ph/mHINV5W6yr+2XATal+mXaogW4C4DFiAQb/07Yw5
 qiRG/8lXr8+fMby0emGlopW9RukLB8L4HInf1BsnlTTyi3m0RmEb9P16yQaXIJTdkW
 paUohktsviFDcEVswH91LwmQfTrh1qAGPBvvTs+zPkKq5dUyU9xPjaZQJRv6HP7FsO
 MNPI+REAwCUDQ==
From: Raghav Gururajan <raghavgururajan@HIDDEN>
In-Reply-To: <8736iu9sjc.fsf@HIDDEN>
References: <20190724060027.32bd2325@HIDDEN>
 <handler.36784.B.156397839227294.ack <at> debbugs.gnu.org>
 <58bc24045bcb5f43a4906f4b4edfc22e3071ebd8.camel@HIDDEN>
 <8736iu9sjc.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Date: Thu, 25 Jul 2019 09:08:15 -0400
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Is there a good
> reason not to include pinentry-tty or somemthing similarly small?

It appears pinentry-tty is only console-based. If graphical
applications like MUA, Key Managers etc require pinentry-program, it
usually uses pop-up (gui) for passphrase input. Since pinentry provides
both console and gui, I suggested it as it will be well-rounded
solution. :)

Regards,
RG.




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36784: Cannot generate key pair with GnuPG
Resent-From: Ricardo Wurmus <rekado@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 25 Jul 2019 13:35:02 +0000
Resent-Message-ID: <handler.36784.B36784.156406165616555 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36784
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Raghav Gururajan <raghavgururajan@HIDDEN>
Cc: 36784 <at> debbugs.gnu.org
Received: via spool by 36784-submit <at> debbugs.gnu.org id=B36784.156406165616555
          (code B ref 36784); Thu, 25 Jul 2019 13:35:02 +0000
Received: (at 36784) by debbugs.gnu.org; 25 Jul 2019 13:34:16 +0000
Received: from localhost ([127.0.0.1]:38600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqdst-0004Iw-Pa
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:34:16 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hqdss-0004Io-CZ
 for 36784 <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:34:15 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1564061651; cv=none; d=zoho.com; s=zohoarc; 
 b=JN4zhVjppqeDRYzDTwSNTF9wUUDvZy1k/SI0hfSy8wFZF2Zgwy8WPjoW6D5oRT+y6luOuzPJ15FQwWjA/nz0OyCGcAo2Qa/XYRhPXHdKmgZSfWR1yO6Bf/8HWDsqKFYa00uoR+M6UpeMwJ8en7to+cdf3YASx3cY/hfneMG7V3Q=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1564061651;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=ejqvxqf43IJrAo3mN+f+8ezr04DzAQz+FyrUqTqVmT4=; 
 b=Ws4MfrCFFEo3ZANvTQh/7FU8v0iCbMbVzJcPwwdp+zpgXDcD3McHikCPCrCrrXqobLvaRQaNig/IB9xfcv/upK4BcrWD8ZMnbYw2xRUFyVqoVtxFvUaGuPhgxY0STJMFOIPm4yQjS8aG7UjE7i8lQvE46tlwjibDUYzqMkwc3UI=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1564061651; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 l=668; bh=ejqvxqf43IJrAo3mN+f+8ezr04DzAQz+FyrUqTqVmT4=;
 b=JEmHQjrwAatx1f226n6NbpZlKGEhO8MgQ8ah7Xf/qKHgP3mnGK857cj+QHjAc0yL
 0CPyMLsL8lcRVJHJMmolSuVFOH4SpXfGwJwBwF5AJ2p/FMtH+Tq5Yl2DgyCa+JiOtXk
 llKtK9+aXtHSC884rZNLJaSMfq7TXF0bZkjMHNFo=
Received: from localhost (141.80.247.250 [141.80.247.250]) by mx.zohomail.com
 with SMTPS id 15640616504961008.7610533652459;
 Thu, 25 Jul 2019 06:34:10 -0700 (PDT)
References: <20190724060027.32bd2325@HIDDEN>
 <handler.36784.B.156397839227294.ack <at> debbugs.gnu.org>
 <58bc24045bcb5f43a4906f4b4edfc22e3071ebd8.camel@HIDDEN>
 <8736iu9sjc.fsf@HIDDEN>
 <d7b5c373105105ab03da3df8eba2bfa160ec6698.camel@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
In-reply-to: <d7b5c373105105ab03da3df8eba2bfa160ec6698.camel@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 25 Jul 2019 15:34:07 +0200
Message-ID: <87y30m8chc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Raghav Gururajan <raghavgururajan@HIDDEN> writes:

>> Is there a good
>> reason not to include pinentry-tty or somemthing similarly small?
>
> It appears pinentry-tty is only console-based. If graphical
> applications like MUA, Key Managers etc require pinentry-program, it
> usually uses pop-up (gui) for passphrase input. Since pinentry provides
> both console and gui, I suggested it as it will be well-rounded
> solution. :)

I guess the reason for not adding a graphical pinentry is that this
would increase the package closure of the gnupg package.

Perhaps we should add gnupg-minimal for use in other package
definitions.

--
Ricardo





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36784: Cannot generate key pair with GnuPG
Resent-From: Raghav Gururajan <raghavgururajan@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 25 Jul 2019 13:37:01 +0000
Resent-Message-ID: <handler.36784.B36784.156406180816770 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36784
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Ricardo Wurmus <rekado@HIDDEN>
Cc: 36784 <at> debbugs.gnu.org
Received: via spool by 36784-submit <at> debbugs.gnu.org id=B36784.156406180816770
          (code B ref 36784); Thu, 25 Jul 2019 13:37:01 +0000
Received: (at 36784) by debbugs.gnu.org; 25 Jul 2019 13:36:48 +0000
Received: from localhost ([127.0.0.1]:38604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqdvM-0004MQ-9i
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:36:48 -0400
Received: from knopi.disroot.org ([178.21.23.139]:56752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1hqdvJ-0004MH-Qj
 for 36784 <at> debbugs.gnu.org; Thu, 25 Jul 2019 09:36:46 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 784E823BB3;
 Thu, 25 Jul 2019 15:36:44 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id H9iv0c5Babmz; Thu, 25 Jul 2019 15:36:43 +0200 (CEST)
Message-ID: <7811b37c6cf040de2a3aafdd52dc92a7a94230a7.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1564061803; bh=iu0Gyb5AoTUjYCtbohhbltCcd0HoJt9J14xgPoIPgy4=;
 h=Subject:From:To:Cc:In-Reply-To:References:Date;
 b=XN+9GbMp8XPBhOJk5WpVeOWkrZXoSuHzTopMl7V8kTO+pMTvei71Vbkcn+YOno9by
 39h+VYghAa4CyDDnHARbJQ/SwgSObPcaTg179NsrJKDdAbv3UJPGW5UCkgr7uYVlk5
 gPKX+7zcjDluxjS9AcJ9rCh3voS1zOtuAdOPL+Ga6mb207lgT+Teec8QIXk+MV5M95
 p8KdY3ZoU1NFm27ajJhOUmDjcVnPB4/NAwF69219o5ehWvpVRZM9IpGNgDMQpxCehH
 r6+s4DKe4QT+QTD3CitXLLyKYHQVOjY0ptXDjMR3p0OF+P7IkuT3y4gerjuWTo2nDV
 cF0iGrq6urgjQ==
From: Raghav Gururajan <raghavgururajan@HIDDEN>
In-Reply-To: <87y30m8chc.fsf@HIDDEN>
References: <20190724060027.32bd2325@HIDDEN>
 <handler.36784.B.156397839227294.ack <at> debbugs.gnu.org>
 <58bc24045bcb5f43a4906f4b4edfc22e3071ebd8.camel@HIDDEN>
 <8736iu9sjc.fsf@HIDDEN>
 <d7b5c373105105ab03da3df8eba2bfa160ec6698.camel@HIDDEN>
 <87y30m8chc.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Date: Thu, 25 Jul 2019 09:36:37 -0400
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Perhaps we should add gnupg-minimal for use in other package
> definitions.

That would actually be wise.

Regards,
RG.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 24 Aug 2019 20:17:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 16:17:00 2019
Received: from localhost ([127.0.0.1]:43318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1cT3-0008Eu-ND
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 16:16:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48721)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i1cT1-0008Eh-Jx
 for control <at> debbugs.gnu.org; Sat, 24 Aug 2019 16:16:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39304)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i1cSw-0007gL-Gk
 for control <at> debbugs.gnu.org; Sat, 24 Aug 2019 16:16:50 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=56786 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1i1cSw-0002LW-2R
 for control <at> debbugs.gnu.org; Sat, 24 Aug 2019 16:16:50 -0400
Date: Sat, 24 Aug 2019 22:16:48 +0200
Message-Id: <87k1b2wc7j.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: control message for bug #36784
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

retitle 36784 GnuPG lacks a default pinentry program
quit






Last modified: Sat, 24 Aug 2019 20:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.